---
search:
  tags:
    - pipeline
    - PATCH
seo:
  description: >-
    Update stage config. Reference for the PATCH
    /workspaces/{organizationId}/stage-configs/{id} endpoint in the Pile API.
sidebar:
  label: Update stage config
  badge: PATCH
title: Update stage config
type: openapi-operation
---
`PATCH /workspaces/{organizationId}/stage-configs/{id}`

**Request body** (`application/json`)

- `ownerAgent` (string | null)
- `instructions` (string | null)
- `advancePolicy` (string)
- `enabled` (boolean)

Request body example:

```json
{
  "ownerAgent": "string",
  "instructions": "string",
  "advancePolicy": "none",
  "enabled": true
}
```

**Responses**

- `200` — Stage config updated
- `404` — Stage config not found

Response example, 200:

```json
{
  "id": "string",
  "organizationId": "string",
  "entityType": "issue",
  "status": "string",
  "ownerAgent": "string",
  "instructions": "string",
  "advancePolicy": "none",
  "enabled": 0,
  "createdBy": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
```
